
# NOTE: build against: rhevm-*-docs-candidate

%global manualdir %{_docdir}/rhevm-doc/manual
%global locale ja-JP
%global beta 0

%global product_line 3.4
%if 0%{?beta}
%define depsuffix -Beta
%endif

Name:		rhevm-doc-%{locale}
Version:	%{product_line}.0
Release:	0%{?dist}
Summary:	Red Hat Enterprise Virtualization %{locale} documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com
Source:		%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python
BuildRequires:	python-argparse
BuildRequires:	Red_Hat_Enterprise_Virtualization-Administration_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Installation_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Technical_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Manager_Release_Notes-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-User_Guide-%{product_line}%{?depsuffix}-web-%{locale}

%description
This package contains translations of the Red Hat Enterprise Virtualization 
documentation for the %{locale} locale in html and pdf format.

%prep
%setup -q -c -n rhevm-doc-%{locale}

%build

%install
rm -rf "%{buildroot}"

mkdir -p "%{buildroot}%{manualdir}/%{locale}"
mkdir -p "%{buildroot}%{manualdir}/en-US"
mkdir -p "%{buildroot}%{manualdir}"/common
mkdir -p "%{buildroot}%{manualdir}"/RedHat

cp -r /var/www/html/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/*/html "%{buildroot}%{manualdir}"/en-US || /bin/true
cp -r /var/www/html/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/*/pdf "%{buildroot}%{manualdir}"/en-US || /bin/true

cp -r /var/www/html/site/documentation/"%{locale}"/Red_Hat_Enterprise_Virtualization/*/html "%{buildroot}%{manualdir}"/"%{locale}" || /bin/true
cp -r /var/www/html/site/documentation/"%{locale}"/Red_Hat_Enterprise_Virtualization/*/pdf "%{buildroot}%{manualdir}"/"%{locale}" || /bin/true

# PDF files contain the version in their filename. We don't want to include the
# -Beta, because that will break the splash page.
%if 0%{?beta}
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
    if echo "${f}" | grep -q Beta; then
        mv "${f}" "$(echo "${f}" | sed 's/%{depsuffix}//')"
    fi
done
%endif

# strip locales from PDFs
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
    if echo "${f}" | grep -q '\-[a-zA-Z][a-zA-Z][-_][a-zA-Z][a-zA-Z].pdf'; then
        mv "${f}" "$(echo "${f}" | sed 's/-[a-zA-Z][a-zA-Z][-_][a-zA-Z][a-zA-Z]\.pdf/.pdf/')"
    fi
done

# Remove JavaScript logic that wont work for local site.
find "%{buildroot}%{manualdir}/%{locale}" -name '*.html' | while read f; do
    sed -i -e :a -e 's#<script type="text/javascript".*</script>##g;/</N;//ba;' "${f}"
    sed -i -e :a -e 's#<div id="tocdiv" class="toc"><iframe.*</iframe></div>##g;/</N;//ba;' "${f}"
    sed -i -e 's#\.\./\.\./\(\.\./\.\./\.\./\)#\1#g' "${f}"
done

# Link common content back to en-US css/images. Common content keeps the source locale because that is what the HTML expects.
cd "%{buildroot}"/"%{manualdir}"/common
ln -s en-US "%{locale}"
cd -
cd "%{buildroot}"/"%{manualdir}"/RedHat
ln -s en-US "%{locale}"
cd -

# Clean out the en-US materials to avoid packaging them (they belong in rhevm-doc), leaving them here
# but ommiting them from the files section would result in an error.
rm -rf "%{buildroot}%{manualdir}"/en-US

%clean
rm -rf "%{buildroot}"

%files 
%defattr(-,root,root,-)
%doc %{manualdir}/%{locale}
%doc %{manualdir}/common/%{locale}
%doc %{manualdir}/RedHat/%{locale}

%changelog
* Thu May 29 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-0
- initial 3.4.0 version. changed books to new set. added pdf locale stripping.

* Mon May 29 2013 Ohad Basan <obasan@redhat.com> - 3.2.0-0.2.rc
- 3.2.0-0.1.rc

* Mon May 13 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.1.rc
- 3.2.0-0.1.rc
